mscgen (0.20-15) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.0, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

  [ Niels Thykier ]
  * Migrate to debputy.

 -- Niels Thykier <niels@thykier.net>  Mon, 09 Oct 2023 14:50:06 +0000

mscgen (0.20-14) unstable; urgency=medium

  * Apply patch from Steve Langasek to avoid using negative
    widths for text sizes in PNG files, which lead to crashes.
    (Closes: #960405)
  * Add patch to give more height to PNG text.  The original
    rendering no longer gave adequate space between lines or
    the entity the text was a part of.
  * Remove -Wl,--as-needed as linker flag since it is now the
    default.

 -- Niels Thykier <niels@thykier.net>  Fri, 15 May 2020 20:46:30 +0000

mscgen (0.20-13) unstable; urgency=medium

  * Bump debhelper compatibility to 13.
  * Replace an override target with a new dh hook target.
  * Rename the build directory to avoid it clashing with a
    debian/rules target.
  * Bump Standards-Version to 4.5.0 - no changes required.

 -- Niels Thykier <niels@thykier.net>  Wed, 15 Apr 2020 14:25:44 +0000

mscgen (0.20-12) unstable; urgency=medium

  [ Niels Thykier ]
  * Move git repository to salsa.debian.org.
  * Bump debhelper-compat to 12
  * Drop (now) unused lintian-override.

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

 -- Niels Thykier <niels@thykier.net>  Mon, 24 Dec 2018 13:58:30 +0000

mscgen (0.20-11) unstable; urgency=medium

  * Upload to unstable.

 -- Niels Thykier <niels@thykier.net>  Sun, 25 Feb 2018 10:48:16 +0000

mscgen (0.20-10) experimental; urgency=medium

  * Test how the archive reacts to the new debhelper-compat
    method.  No enduser visible changes implemented nor
    intended.

 -- Niels Thykier <niels@thykier.net>  Sun, 25 Feb 2018 07:49:41 +0000

mscgen (0.20-9) unstable; urgency=medium

  * Fix typo in the changelog.
  * Drop unused build-depedency on "locales".

 -- Niels Thykier <niels@thykier.net>  Wed, 15 Nov 2017 06:55:25 +0000

mscgen (0.20-8) unstable; urgency=medium

  * Enable the dwz sequence to reduce size of debug files.
  * Add versioned build-dependency on debhelper to ensure that
    the dwz tooling is available.  Also add a build-dependency
    on dwz as debhelper does not provide dwz for dh_dwz at the
    moment (dh_dwz is experimental).
  * Set R³ to no; mscgen does not need (fake)root during package
    build.
  * Set debhelper compat to 10.
  * Skip dh_strip_nondeterminism; it is a no-op at the moment and
    is planned to be removed eventually.

 -- Niels Thykier <niels@thykier.net>  Sat, 28 Oct 2017 10:32:03 +0000

mscgen (0.20-7) unstable; urgency=medium

  * Tweak some options in d/rules to enable a debhelper optimization
  * Bump Standards-Versions to 4.1.1 - no changes required.
  * Remove now unnecessary "Testsuite"-header from d/control.
  * Bump debhelper compat to "beta-tester" and bump the versioned
    Build-Depends on debhelper to 10.

 -- Niels Thykier <niels@thykier.net>  Sat, 14 Oct 2017 14:05:51 +0000

mscgen (0.20-6) unstable; urgency=medium

  * Bump debhelper build-dependency to ensure mscgen is
    built wih the autoreconf compat 10 change.
  * Drop now unused versioned dpkg-dev dependency.
  * Use the same URL in both Vcs-* fields.
  * Bump Standards-Version to 3.9.7 - no changes required.

 -- Niels Thykier <niels@thykier.net>  Sat, 02 Apr 2016 19:33:27 +0000

mscgen (0.20-5) unstable; urgency=medium

  * Mark mscgen as a "Multi-Arch: foreign" package.
  * Bump debhelper compat to 10.
  * Remove import of dpkg makefile as dh now exports the
    variables automatically.
  * Build with all hardening flags enabled.
  * Remove the "XS-" prefix from the Testsuite field.
  * Bump debhelper Build-Dependency to ensure dbgsyms are
    generated.
  * Update the URLs in the Vcs-* fields.
  * Bump Standards-Version - no changes required.

 -- Niels Thykier <niels@thykier.net>  Sat, 19 Dec 2015 22:16:20 +0000

mscgen (0.20-4) unstable; urgency=medium

  * Set %parse-param in language.y to ensure bison generates
    the correct prototype for yyparse. (Closes: #733370)
  * Bump Standards-Version to 3.9.5 - no changes required.

 -- Niels Thykier <niels@thykier.net>  Sun, 29 Dec 2013 13:48:54 +0100

mscgen (0.20-3) unstable; urgency=low

  * Apply patch from Ian Jackson to add DEP-8/autopkgtests
    to mscgen.  (Closes: #720687)
  * Use canonical URLs in the Vcs-* fields.
  * Bump Standards-Version to 3.9.4 - no changes required.
  * Build-Depend on libgd-dev instead of libgd2-xpm-dev,
    since the latter is now a transitional package.

 -- Niels Thykier <niels@thykier.net>  Wed, 25 Sep 2013 23:45:47 +0200

mscgen (0.20-2) unstable; urgency=low

  * Use buildflags.mk from dpkg to set compiler and linker
    flags.
    - This enables hardning flags.
  * Bumped Standards-Versions to 3.9.2 - no changes required.
  * Bumped debhelper compat to 8.

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Nov 2011 14:52:33 +0100

mscgen (0.20-1) unstable; urgency=low

  * New upstream release.
  * Removed all remaining patches as they were already applied
    upstream.

 -- Niels Thykier <niels@thykier.net>  Thu, 10 Mar 2011 16:52:20 +0100

mscgen (0.19-3) unstable; urgency=low

  * Upload to unstable.
  * Backported patch to fix crash when source entity is not known.

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Feb 2011 23:31:04 +0100

mscgen (0.19-2) experimental; urgency=low

  * Added patch from upstream to fix spelling mistakes.
  * Build in separate directory and removed the homemade pkg-config
    file for gdlib.
  * Moved packaging to git on git.debian.org.
  * Made sure that the parser and the lexer are rebuilt from their
    specification and not just their pre-generated C-files.

 -- Niels Thykier <niels@thykier.net>  Tue, 04 Jan 2011 13:03:36 +0100

mscgen (0.19-1) experimental; urgency=low

  * New upstream release.
  * Pass --with-freetype to configure.

 -- Niels Thykier <niels@thykier.net>  Mon, 03 Jan 2011 21:14:29 +0100

mscgen (0.18-1) experimental; urgency=low

  * New upstream release to experimental due to the freeze.
    - Removed all patches (they were all backports).
  * Added --as-needed and --no-undefined to linker flags to avoid
    overlinking.
  * Bumped Standards-Versions to 3.9.1 - no changes required.

 -- Niels Thykier <niels@thykier.net>  Thu, 11 Nov 2010 23:24:02 +0100

mscgen (0.17-2) unstable; urgency=low

  * Pulled bug-fix patches from upstream.
    - Corrected the handling of the "-F" option; removes a false
      positive warning.
    - Fixed buffer overflow with long output names.
    - Fixed an issue, where mscgen would pass unsigned integers
      to libgd that would overflow and cause mscgen to hang.
    - Fixed an issue with how multi-line labels are rendered.
  * Bumped Standards-Versions to 3.8.4 - no changes required.
  * Changed source format to 3.0 (quilt).
  * Added homemade ".pc" file for gd2, since its dev package does
    not ship one.

 -- Niels Thykier <niels@thykier.net>  Sun, 07 Feb 2010 22:04:08 +0100

mscgen (0.17-1) unstable; urgency=low

  * New upstream release.
  * Added Vcs fields.
  * Removed dpatch and libgd2-noxpm-dev as build depends.
    - The patches have been merged upstream or are no longer required.
    - libgd2-noxpm-dev is not built with the font support required for
    mscgen.
  * Removed README.source.
    - There are no longer any debian patches.
    - Upstream no longer ships a precompiled version of libgd in the
    src tar.gz.
    - All tests files now have a license.
  * Bumped to Standards-Version 3.8.3 - no changes required.
  * Rewrote debian/rules to let dh do all the work, where possible.
  * Updated debian/copyright.
    - The source code is now completely GPL-2+. Previously parts of it
    was licensed under LGPL-2.1.
    - The tests files have received a "No warranty" clause.

 -- Niels Thykier <niels@thykier.net>  Mon, 31 Aug 2009 23:19:09 +0200

mscgen (0.16+dfsg-1) unstable; urgency=low

  * Corrected priority to "optional" and applied other beautification
    changes to the control file.
  * Changed the comment type of examples.
  * Removed unused dpatch (was outdated).
  * Created a debian/README.source to document modifications done
    to upstream source.

 -- Niels Thykier <niels@thykier.net>  Mon, 13 Jul 2009 22:00:04 +0200

mscgen (0.16-1) unstable; urgency=low

  * New upstream release.
  * Modified the watch files to handle svn-snapshot builds more gracefully.
  * Added some examples based on the test files (via a patch).

 -- Niels Thykier <niels@thykier.net>  Mon, 13 Jul 2009 12:26:08 +0200

mscgen (0.16~svn35-2) unstable; urgency=low

  * Implemented changes suggested by Y Giridhar Appaji Nag.
    - Removed (most) versions and libc from Build-Depends.
    - Rephrased parts of the package description.
    - Updated patch description to properly reflect what it does.
    - Removed some dh script calls and an the arguments to dh_installdocs.
    - Changed priority to optional (used to be extra).
  * Removed one useless if-statement in debian/rules.
  * Added a "get-orig-source" rule to debian/rules.

 -- Niels Thykier <niels@thykier.net>  Fri, 10 Jul 2009 20:33:39 +0200

mscgen (0.16~svn35-1) unstable; urgency=low

  * Pre-upstream release.
    - Prevents echoing of "unexpected" characters in mscgen files to stdout.
    - Addresses some licenses issues.
  * Added missing license about test scripts in debian/copyright.
  * Corrected the LGPL reference - it was incorrectly referring to version
    2, when it should have been 2.1.
  * Changed description to mention the mediawiki extension that can use mscgen.

 -- Niels Thykier <niels@thykier.net>  Sun, 05 Jul 2009 22:09:56 +0200

mscgen (0.16~svn32-1) unstable; urgency=low

  * Pre-upstream release.
    - Fixes a regression on a sample input file using boxes.
  * Removed unless arguments for dh_installdirs - it created them by default.

 -- Niels Thykier <niels@thykier.net>  Sat, 04 Jul 2009 11:04:33 +0200

mscgen (0.16~svn31-2) unstable; urgency=low

  * Fixed inverted check for the debian build options that caused
    optimizations to be disabled by default.

 -- Niels Thykier <niels@thykier.net>  Thu, 02 Jul 2009 22:26:29 +0200

mscgen (0.16~svn31-1) unstable; urgency=low

  * Pre-upstream release: 0.16~svn31
    - Fixes a segmentation fault occurring when using undeclared
      (or misspelled) entities in a graph.
  * Updated to Standards-Version 3.8.2.0 - No changes required.
  * Upstream's README is no longer installed as a part of this package's
    documentation - It contains information that is irrelevant for
    debian users.
  * Added patch to correct the outputted version number.

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jul 2009 14:07:21 +0200

mscgen (0.15-4) unstable; urgency=low

  * Removed "bash" again from the build depends (forgot it was marked as Essential).

 -- Niels Thykier <niels@thykier.net>  Sat, 30 May 2009 17:52:34 +0200

mscgen (0.15-3) unstable; urgency=low

  * Corrected Homepage field.
  * Added "bash" as build depends (used by test scripts).

 -- Niels Thykier <niels@thykier.net>  Sat, 30 May 2009 17:38:46 +0200

mscgen (0.15-2) unstable; urgency=low

  * Removed comments from debian/control.
  * Repackaged source due to convenience sources being included.
  * Listed upstream's svn repository in the copyright file.

 -- Niels Thykier <niels@thykier.net>  Thu, 28 May 2009 19:37:57 +0200

mscgen (0.15-1) unstable; urgency=low

  * Initial release. (Closes: #528784)
  * Added dpatch (01_debian-patch.dpatch) to remove optimization flags
    from upstream makefile to comply with debian build options
    (DEB_BUILD_OPTIONS=noopt). The optimization flags are instead
    inserted by the rules file.

 -- Niels Thykier <niels@thykier.net>  Thu, 21 May 2009 15:51:38 +0200
